Bug 90936 - New kernel errata removes /lib/modules/`uname -r`/pcmcia symlinks which breaks this package
Summary: New kernel errata removes /lib/modules/`uname -r`/pcmcia symlinks which break...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs
Version: 7.3
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-15 15:43 UTC by Jason Corley
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2003-06-03 10:16:19 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:187 normal SHIPPED_LIVE : Updated 2.4 kernel fixes vulnerabilities and driver bugs 2003-05-22 04:00:00 UTC

Description Jason Corley 2003-05-15 15:43:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The new kernel errata (2.4.20-13.7) removes the symlinks in /lib/modules/`uname
-r`/pcmcia (noted as unnecessary in the srpm) and pcmcia services on 7.3 no
longer work.

[root@jcorley-laptop root]# service pcmcia start
Starting PCMCIA services: module directory /lib/modules/2.4.20-13.7/pcmcia not
found.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install new kernel errata
2. Try to start pcmcia services
3. See error message
    

Actual Results:  [root@jcorley-laptop root]# service pcmcia start
Starting PCMCIA services: module directory /lib/modules/2.4.20-13.7/pcmcia not
found.

Expected Results:  service pcmcia start should return a bunch of information
from cardmgr.


Additional info:

kernel-pcmcia-cs should probably be updated to deal with the removal of legacy
symlinks in the kernel package.

Comment 1 Pierre Thonne 2003-05-25 13:14:21 UTC
For me the problem is not that :

The directory /lib/modules/2.4.20-13.7 does not contains the pcmcia objects.
To resolv this situation :
- install the sources rpm for the kernel
- make mrproper
- copy form configs the right config file for your machine
- make dep clean
- make bzImage
- make modules modules_install
- make install witch changes the grub.conf

You will see the /lib/modules/2.4.20-13.7custom will contains a pcmcia directory
with all the symlinks to the objects you'd just compiled.

Cheers

Pierre

Comment 2 Jason Corley 2003-05-27 16:18:01 UTC
My kernel, the errata one from Red Hat, contains the pcmcia objects.

$ ls -l /lib/modules/2.4.20-13.7/kernel/drivers/net/pcmcia/
total 320
-rw-r--r--    1 root     root        14400 May 12 13:35 3c574_cs.o
-rw-r--r--    1 root     root        13236 May 12 13:35 3c589_cs.o
-rw-r--r--    1 root     root         8588 May 12 13:35 aironet4500_cs.o
-rw-r--r--    1 root     root        17052 May 12 13:35 axnet_cs.o
-rw-r--r--    1 root     root        13736 May 12 13:35 fmvj18x_cs.o
-rw-r--r--    1 root     root        23908 May 12 13:35 ibmtr_cs.o
-rw-r--r--    1 root     root        13460 May 12 13:35 netwave_cs.o
-rw-r--r--    1 root     root        10660 May 12 13:35 nmclan_cs.o
-rw-r--r--    1 root     root        17664 May 12 13:35 pcnet_cs.o
-rw-r--r--    1 root     root        26832 May 12 13:35 ray_cs.o
-rw-r--r--    1 root     root        23852 May 12 13:35 smc91c92_cs.o
-rw-r--r--    1 root     root        29140 May 12 13:35 wavelan_cs.o
-rw-r--r--    1 root     root        31517 May 12 13:35 wvlan_cs.o
-rw-r--r--    1 root     root        18068 May 12 13:35 xirc2ps_cs.o
-rw-r--r--    1 root     root        11020 May 12 13:35 xircom_cb.o
-rw-r--r--    1 root     root        17820 May 12 13:35 xircom_tulip_cb.o
$

The issue, as I said in my original post, is that the symlinks that used to live
in /lib/modules/2.4.20-13.7/pcmcia have been removed, but kernel-pcmcia-cs --
which contains the /etc/rc.d/init.d/pcmcia rc script -- hasn't been updated to
reflect that change.  I can build a new kernel sure, but that doesn't seem right
to force someone to do just because they're using Red Hat 7.3 on a laptop. 
Removing the symlinks was intentional, check the changelog of the kernel. 
Updating this package ought to go along with that.

Jason


Comment 3 Arjan van de Ven 2003-06-03 10:16:19 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-187.html



Note You need to log in before you can comment on or make changes to this bug.